var targetId = "WebDrillDown1";

// Retrieves data requested by the webdrilldown control
function cwddOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId)
    {
        var parameters = {
            controlId: controlId,
            requestPath: requestPath
        };

        $.support.cors = true;
        $.ajax({
            type: "POST",
            url: "http://www.coalesys.net/WebDrillDown/Services/DemoService.asmx/GetPopupData",
            dataType: "json",
            data: JSON.stringify(parameters),
            contentType: "application/json; charset=utf-8",
            success: function (data)
            {
                cwddProcessResponse(controlId, data);
            },
            error: function (xhr)
            {
                cwddProcessResponse(controlId, null);
                var errorMessage = "Failed to retrieve items:\n";
                errorMessage = errorMessage + xhr.statusText + " (" + xhr.status + ")";
                alert(errorMessage);
            }
        });
    }
}
