﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Button:
    {
        BackColor: "LightSlateGray",
        BorderColor: "#606060",
        ForeColor: "White",
        SelectedBackColor: "#606060"
    },
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "12px"
    },
    FullPath: "\/android\/widget\/[next]",
    Popup:
    {
        BackColor: "Ivory",
        BorderColor: "#505050",
        ChildrenImageAlignment: "Right",
        ForeColor: "#404040",
        LoadingText: "please wait",
        SelectedBackColor: "#606060",
        SelectedForeColor: "White"
    },
    SelectedIndex: 2,
    StyleDefinitions: "jagged.css",
    Width: "450px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "android",
        Items: [{
            Item: "database",
            Items: ["DataSetObserver"]
        },{
            Item: "graphics",
            Items: [{
                Item: "drawable",
                Items: ["Drawable"]
            }],
            Next: "[next]"
        },{
            Item: "view",
            Items: ["AbsSavedState","SurfaceView",{
                Item: "View",
                Items: ["BaseSavedState"]
            },{
                Item: "ViewGroup",
                Items: ["LayoutParams","MarginLayoutParams"]
            }],
            Next: "[next]"
        },{
            Item: "widget",
            Items: [{
                Item: "AbsListView",
                Items: ["CheckForTap","LayoutParams","RecycleBin","SavedState"]
            },{
                Item: "AbsoluteLayout",
                Items: ["LayoutParams"]
            },"AbsSeekBar",{
                Item: "AbsSpinner",
                Items: ["RecycleBin","SavedState"]
            },{
                Item: "AdapterView",
                Items: ["AdapterContextMenuInfo","AdapterDataSetObserver"]
            },"AdapterView<T>","AlphabetIndexer","AnalogClock","AppSecurityPermissions","ArrayAdapter<T>","AutoCompleteTextView","BaseAdapter","BaseExpandableListAdapter","Button","CheckBox","CheckedTextView","Chronometer",{
                Item: "CompoundButton",
                Items: ["SavedState"]
            },"CursorAdapter","CursorFilter",{
                Item: "CursorTreeAdapter",
                Items: ["MyCursorHelper"]
            },"DatePicker","DialerFilter","DigitalClock","DoubleDigitManager","EditText",{
                Item: "ExpandableListConnector",
                Items: ["GroupMetadata","MyDataSetObserver","PositionMetadata"]
            },"ExpandableListPosition",{
                Item: "ExpandableListView",
                Items: ["ExpandableListContextMenuInfo","SavedState"]
            },{
                Item: "FastScroller",
                Items: ["ScrollFade","SavedState"]
            },{
                Item: "Filter",
                Items: ["FilterResults"]
            },{
                Item: "FrameLayout",
                Items: ["LayoutParams"]
            },{
                Item: "Gallery",
                Items: ["LayoutParams"]
            },"GridView","HeaderViewListAdapter","ImageButton","ImageSwitcher","ImageView",{
                Item: "LinearLayout",
                Items: ["LayoutParams"]
            },{
                Item: "ListView",
                Items: ["FixedViewInfo","SavedState"]
            },"MediaController",{
                Item: "MultiAutoCompleteTextView",
                Items: ["CommaTokenizer"]
            },"PopupWindow",{
                Item: "ProgressBar",
                Items: ["SavedState"]
            },"RadioButton",{
                Item: "RadioGroup",
                Items: ["LayoutParams"]
            },"RatingBar",{
                Item: "RelativeLayout",
                Items: ["LayoutParams"]
            },{
                Item: "RemoteViews",
                Items: ["ActionException"]
            },"ResourceCursorAdapter","ResourceCursorTreeAdapter","ScrollBarDrawable","Scroller","ScrollView","SeekBar","SimpleAdapter","SimpleCursorAdapter","SimpleCursorTreeAdapter","SimpleExpandableListAdapter","Spinner",{
                Item: "TabHost",
                Items: ["TabSpec"]
            },{
                Item: "TableLayout",
                Items: ["LayoutParams"]
            },{
                Item: "TableRow",
                Items: ["LayoutParams"]
            },"TabWidget","TextSwitcher",{
                Item: "TextView",
                Items: ["Drawables","InputContentType","InputMethodState","SavedState"]
            },"TimePicker","Toast","ToggleButton","TwoLineListItem","VideoView","ViewAnimator","ViewFlipper","ViewSwitcher","ZoomButton","ZoomControls"],
            Next: "[next]"
        }],
        Next: "[next]"
    }],
    Next: "[next]"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
