﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Button:
    {
        BackColor: "#AC4C4C",
        BorderColor: "#606060",
        DefaultText: "(store)",
        ForeColor: "White",
        SelectedBackColor: "#606060"
    },
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "12px"
    },
    FullPath: "\/(store)",
    Popup:
    {
        BackColor: "Ivory",
        BorderColor: "#505050",
        ForeColor: "#404040",
        LoadingText: "please wait",
        SelectedBackColor: "#606060",
        SelectedForeColor: "White"
    },
    Width: "350px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "[S101]Clothing & Sports",
        Items: [{
            Item: "[D101]Clothing",
            Items: ["[PC101]Gloves","[PC102]Hat","[PC103]Jacket","[PC104]Pants","[PC105]Shirt","[PC106]Shoes","[PC107]Shorts","[PC108]Socks","[PC109]Sweater"]
        },{
            Item: "[D102]Sports",
            Items: ["[PS101]Baseball","[PS102]Basketball","[PS103]Bicycle","[PS104]Football","[PS105]Golf clubs","[PS106]Helmet","[PS107]Ice skates","[PS108]Skateboard","[PS109]Sneakers"]
        }],
        Next: "(product)"
    },{
        Item: "[S102]Home & Electronics",
        Items: [{
            Item: "[D103]Home",
            Items: ["[PH101]Cabinet","[PH102]Chair","[PH103]Desk","[PH104]Lamp","[PH105]Picture","[PH106]Plant","[PH107]Rug","[PH108]Sofa","[PH109]Table"]
        },{
            Item: "[D104]Electronics",
            Items: ["[PE101]Camcorder","[PE102]Camera","[PE103]Cell phone","[PE104]Ear buds","[PE105]Laptop","[PE106]MP3 player","[PE107]Tablet","[PE108]Television","[PE109]Watch"]
        }],
        Next: "(product)"
    }],
    Next: "(department)"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
