﻿// The webdrilldown control settings
var WebDrillDownSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Button:
    {
        BackColor: "#2BA8E2",
        BorderColor: "#606060",
        DefaultText: "(project)",
        ForeColor: "White",
        SelectedBackColor: "#606060"
    },
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "12px"
    },
    FullPath: "\/(select item)",
    Popup:
    {
        BackColor: "Ivory",
        BorderColor: "#505050",
        ForeColor: "#404040",
        LoadingText: "please wait",
        SelectedBackColor: "#606060",
        SelectedForeColor: "White"
    },
    Width: "350px"
};

// The webdrilldown control item data
var WebDrillDownData =
{
    Items: [{
        Item: "Project X",
        Items: [{
            Item: "Program Managers",
            Items: ["Elizabeth Maddox","Nicholas Taylor"]
        },{
            Item: "Software Developers",
            Items: ["Bernard Woodbury","Joseph Farnsworth","Steven Knowles"]
        },{
            Item: "Test Engineers",
            Items: ["Austin Sullivan","Joseph Crowell","Marcia Waters"]
        }],
        Next: "(employee)"
    },{
        Item: "Project Y",
        Items: [{
            Item: "Program Managers",
            Items: ["Anna Greene","Bradley Knight"]
        },{
            Item: "Software Developers",
            Items: ["Lynn Goebel","Michael Harlow","Roger Alexandre"]
        },{
            Item: "Test Engineers",
            Items: ["Kevin Gamble","Richard Draper","Stephanie Dodd"]
        }],
        Next: "(employee)"
    }],
    Next: "(group)"
};

// Initializes the specified webdrilldown control
function WebDrillDownInitialize(controlId)
{
    cwddInitializeControl(controlId, WebDrillDownSettings, WebDrillDownData);
}
