using System;
using System.Web;

/// <summary>
/// ASP.NET sample page
/// </summary>
public partial class _Default : System.Web.UI.Page
{
    public string webDrillDownId = "WebDrillDown1";
    public string webDrillDownAboutInfoId = "AboutInfo1";
    public string webDrillDownFullPathEncoded = "";
    public string webDrillDownFullPathDecoded = "";
    public string webDrillDownFullPathEscaped = "";
    public string webDrillDownSelectedIndexString = "0";
    public int webDrillDownSelectedIndexNumber = 0;

    /// <summary>
    /// Page load event handler
    /// </summary>
    /// <param name="sender">The event source</param>
    /// <param name="e">The event data</param>
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
        {
            string name = webDrillDownId + "_FullPath";
            webDrillDownFullPathEncoded = Request.Form[name];
            webDrillDownFullPathDecoded = HttpUtility.HtmlDecode(webDrillDownFullPathEncoded);
            webDrillDownFullPathEscaped = webDrillDownFullPathEncoded.Replace("'", "\\'");
            name = webDrillDownId + "_SelectedIndex";
            webDrillDownSelectedIndexString = Request.Form[name];
            webDrillDownSelectedIndexNumber = int.Parse(webDrillDownSelectedIndexString);
        }
    }
}
